Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05034 Gameplay Critical (emulation) Random Oct 10, 2012, 03:55 Jul 5, 2016, 00:25
Tester B2K24 View Status Public Platform MAME (Self-compiled)
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver megasys1.cpp
Version 0.147u1 Fixed in Version Build 64-bit
Summary 05034: tshingen : video turns into GFX coruption garbage loop that never ends unless you quit or reset
Description Playing through this game on 0.147u1 X64 self compile I notice at random the emulation stops and you enter some "GFX garbage loop" that never ends. It happened too me on stage 1 and then another game on stage 5. The Reproducibility of this seems to be always 100% except you can't trigger it exactly when you want, you have to keep playing and eventually it randomly happens. When in this"GFX garbage loop"
state, MAME is completely functional as if nothing is wrong.
Steps To Reproduce load tshingen, play, and eventually you will get caught in what I call "GFX garbage loop"
unfortunately it might take 30 minutes or even 1 hour, but it will eventually happen.
Additional Information
Flags
Regression Version
Affected Sets / Systems  tshingen
Attached Files
zip file icon tshingen.zip (718,875 bytes) Oct 10, 2012, 03:55 Uploaded by B2K24
[0.147u1] save state, recorded movie and snaps.
png file icon 0001.png (1,449 bytes) Oct 10, 2012, 04:07 Uploaded by B2K24
B2K24
png file icon 0002.png (1,487 bytes) Oct 10, 2012, 04:07 Uploaded by B2K24
B2K24
png file icon 0003.png (3,832 bytes) Oct 10, 2012, 04:07 Uploaded by B2K24
B2K24
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.10361
Solstar
Tester
Mar 15, 2014, 00:20
tried it with mameui64 0.152 on a windows 7 x64 machine.never played the game before so i don't know if it worked with earlier versions,but after finishing the second stage,the game will crash,going back to what it seems its test mode(with all tiles scrolling diagonally),and the sound stuck on a loop,exactly as described here

tried again with the japanese version,and wasn't able to recreate the same issue...it seems to happen at random points,in random moments
User avatar
No.10362
NekoEd
Senior Tester
Mar 15, 2014, 23:09
It does indeed look like a rug test, it's possible the game is crashing, resetting itself then failing the test, which would explain why it doesn't end (some games will continue running the test until it passes.)
User avatar
No.11400
haynor666
Tester
Jan 25, 2015, 13:15
Similiar behaviour is in Ninja Kazan (which is not working game in fact).
User avatar
No.12884
B2K24
Moderator
Jul 3, 2016, 08:48
Did an one hour play though the entire game and reached the end. I didn't encounter this behavior for 60 minutes from start to finish.
User avatar
No.12899
M.A.S.H.
Senior Tester
Jul 5, 2016, 00:25
Set 'Fixed in Version' from 0.176GIT to unknown.